package com.platform.modules.qk.dto;

import com.alibaba.fastjson.annotation.JSONField;

import java.io.Serializable;
import java.util.Arrays;

/**
 * 视频
 */
public class VideoTrack implements Serializable {

    private int Count;
    private String Duration;
    @JSONField(name = "VideoTrackClips")
    private VideoTrackClip[] VideoTrackClips;

    public int getCount() {
        return Count;
    }

    public void setCount(int count) {
        Count = count;
    }

    public String getDuration() {
        return Duration;
    }

    public void setDuration(String duration) {
        Duration = duration;
    }

    public VideoTrackClip[] getVideoTrackClips() {
        return VideoTrackClips;
    }

    public void setVideoTrackClips(VideoTrackClip[] videoTrackClips) {
        VideoTrackClips = videoTrackClips;
    }

    @Override
    public String toString() {
        return "VideoTrack{" +
                "Count=" + Count +
                ", Duration='" + Duration + '\'' +
                ", VideoTrackClips=" + Arrays.toString(VideoTrackClips) +
                '}';
    }
}
